## nanoTest.awk
#
BEGIN {
	CURR = "./"
	XX = "X:/"
	ZZ = "Z:/"
	TEST = XX "TEST/"
	LONG = TEST "Long/"
	TEMP = TEST "TEMP/"

	print ""
	print "\e[92m#############\e[m"
	print "\e[92m# Long\e[m"
	path50 = "---+----1----+----2----+----3----+----4----+----5"
	path100 = path50 "----+----6----+----7----+----8----+----9----+----0"
	path200 = path100 "B" path100
	fileName = "/Z" path200 path50 "_5.txt"
	path = LONG "A" path200 fileName
	# print "foo" > path
	tree(XX)

	print "\e[92mclean\e[m"
	print "\e[92m#############\e[m"
	clean(XX)
	# clean(ZZ)
	remove(ZZ, "root")
	copy(XX, ZZ, "pro")
	remove(XX, "root")
	move(ZZ, XX, "pro")
	# move(ZZ "TEST/TEMP", XX, "pro")
	tree(XX, "file")
	# clean(ZZ, "-time clean")
	# clean("D:/ミュージック/")
	# clean("H:/ミュージック/")
	print "\e[92m#############\e[m"
	# remove(ZZ, "root")
	# copy(XX, ZZ, "pro")
}